Package org.optaplanner.core.impl.domain.variable.listener

## Class VariableListenerAdapter<Entity_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.variable.listener.VariableListenerAdapter<Entity_>

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `VariableListener<Entity_>`

      @Deprecated
      public abstract class VariableListenerAdapter<Entity_>
      extends Object
      implements VariableListener<Entity_>

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableListenerAdapter()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterEntityAdded​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.
    `void` | `afterEntityRemoved​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.
    `void` | `afterVariableChanged​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.
    `void` | `beforeEntityAdded​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.
    `void` | `beforeEntityRemoved​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.
    `void` | `beforeVariableChanged​(ScoreDirector scoreDirector, Entity_ entity)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.domain.variable.VariableListener

      `close, requiresUniqueEntityEvents, resetWorkingSolution`

- - ### Constructor Detail

    - #### VariableListenerAdapter

          public VariableListenerAdapter()

      Deprecated.

  - ### Method Detail

    - #### beforeEntityAdded

          public void beforeEntityAdded​(ScoreDirector scoreDirector,
                                        Entity_ entity)

      Deprecated.
      Specified by:
        `beforeEntityAdded` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterEntityAdded

          public void afterEntityAdded​(ScoreDirector scoreDirector,
                                       Entity_ entity)

      Deprecated.
      Specified by:
        `afterEntityAdded` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### beforeVariableChanged

          public void beforeVariableChanged​(ScoreDirector scoreDirector,
                                            Entity_ entity)

      Deprecated.
      Specified by:
        `beforeVariableChanged` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterVariableChanged

          public void afterVariableChanged​(ScoreDirector scoreDirector,
                                           Entity_ entity)

      Deprecated.
      Specified by:
        `afterVariableChanged` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### beforeEntityRemoved

          public void beforeEntityRemoved​(ScoreDirector scoreDirector,
                                          Entity_ entity)

      Deprecated.
      Specified by:
        `beforeEntityRemoved` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterEntityRemoved

          public void afterEntityRemoved​(ScoreDirector scoreDirector,
                                         Entity_ entity)

      Deprecated.
      Specified by:
        `afterEntityRemoved` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null